色彩风暴更新日志

20.1.0.0 (2022-01-31)
1. 功能增加：增加限制高度和限制宽度两种新模式用以支持在滚动模式下允许缩放操作。
2. 功能改进：升级 WebP 编解码库到1.2.1版本。支持播放WebP动画。支持保存WebP格式的静态图像。
3. 功能改进：将原来的匹配视图缩放模式改名为填满视图。新的匹配视图将在必要的情况下放大图像以在视图中最大化显示。而填满视图将通过必要的裁剪图像以填满整个视图空间。
4. 功能改进：增加一个视图选项来指定滚动模式下图像的最小间隔。默认200像素，最小值为1个像素。
5. 功能改进：增加 一个基本选项用来选择是否在启动时在必要的时候自动提升应用程序权限。
6. 问题解决：停用Picasa服务插件。Google已经停用Picasa服务。
7. 问题解决：解决垂直滚动模式下播放时滚动位置错误重置的问题。

19.0.0.0 (2020-09-12)
1. 功能增加：增加WEBP文件格式解码支持。通过手机保存的JPEG扩展名文件有些内部可能是WEBP编码格式，支持自动识别这种情况。
2. 功能改进：改进文件名加密显示功能，目录中改进显示实际文件，而不是加密后的文件名，同时在按文件名排序时使用实际文件名排序。
3. 问题解决：启用新的colorstormgarden.com国际域名，软件更新检查将通过新网址进行。由于colorstorm.com.cn逾期后被他人抢注，该域名废弃使用。

17.0.0.0 (2017-01-01)
1. 功能改进：升级ffmpeg视频编解码库到2.8.6版本。改进视频播放器，能够识别视频旋转的元数据从而能够以正确的方向播放手机视频。
2. 功能改进：改进数据流接口支持64位文件大小和文件位置寻址，支持播放大于2GB的视频文件。
3. 功能改进：改进图像缓存逻辑，不缓存加密图像的缩略图。
4. 问题解决：解决GIF解码程序中对于本地颜色表处理不正确的问题，改进包含不同颜色表图像合并的算法。

16.1.0.0 (2016-02-06)
1. 功能增加: 全面支持加密浏览功能。支持直接浏览加密的图像文件，支持直接浏览加密的ZIP或RAR压缩文件，支持直接播放加密的视频文件。用户可以通过色彩风暴文件大师工具批量对硬盘文件进行加密。以上加密文件无需解密到硬盘直接可以在色彩风暴中输入密码进行浏览或播放。你也可以使用文件大师批量对已加密的硬盘文件进行解密。

16.0.0.0 (2015-11-13)
1. 功能增加: 改进压缩包服务支持直接浏览色彩风暴外部加密的Zip压缩包。
2. 功能增加: 压缩包服务增加浏览压缩包目录树的功能，同时支持压缩包历史记录和自动搜索指定目录下的压缩包文件。
3. 功能改进: 改进Windows Shell服务，对XP系统上可能发生不可逆Shell路径问题进行特殊处理。
4. 功能改进: 改进批量命名引用模板语法和算法实现。改进算法采用与文件名通配一致的通配算法，在此基础上增加字符和数字的通配功能，从而提供更自然和更强大的文件名匹配引用功能。
5. 界面改进: 改进向导左侧图像框，采用最新具有丰富色彩及动感的背景图像。
6. 界面改进: 重新设计关于对话框的布局及背景图像。
7. 界面改进: 改进目录视图自动根据当前浏览路径切换到相应的目录树的功能。
8. 问题解决: 解决打开外部加密RAR文件时程序崩溃的问题。
9. 问题解决: 解决尽管锁定缩放开关打开时无法锁定到匹配宽度，匹配高度和匹配视图。

15.6.0.0 (2015-10-02)
1. 功能增加: 改进压缩包服务支持漫画压缩文件cbr和cbz扩展名。
2. 功能增加: 绘画服务增加圆弧工具。通过该工具可以绘画圆弧或圆饼。
3. 功能增加: 绘画服务所有的绘图工具增加绘制选区功能。可以使用绘图工具直接绘制复杂的选区，这将极大的增强选区功能。
4. 功能增加: 绘画服务增加圆弧克隆图章工具。使用克隆图章工具，你可以将图像上的部分区域克隆到图像的其他区域。首先选择要克隆的区域起始点（Shift + 点击），然后在要克隆的目标区域绘画，使用（Ctrl + 点击）可以改变目标区域的参考点。
5. 功能改进: 改进Windows Shell服务，在地址栏中可以输入和显示更友好的Shell路径名。
6. 功能改进: 改进绘画服务的多边形绘图和选框工具，增加多段线样式。
7. 功能改进: 改进绘画服务大部分图形工具，支持通过控制点调整图形。
8. 功能改进: 改进绘画服务笔刷工具，填充工具，渐变工具和文字工具，支持绘图模式功能，提供不同的前景和背景融合选项。
9. 功能改进: 改进绘画服务渐变工具渐变算法，只对相关区域进行渐变填充。
10. 功能改进: 改进绘画服务中箭头工具在线段较粗时箭头不完美的问题。
11. 问题解决: 解决Windows Shell服务不能浏览USB Shell扩展设备上的目录和文件的问题。

15.5.0.0 (2015-09-13)
1. 功能增加: 增加图像加密和解密的安全功能。通过批量加密和解密，你可以加密或解密整个图像目录或子目录的特定图像。你可以通过工具-〉批量加密来加密多个图像。通过工具-〉批量解密对已加密图像进行批量解密。
2. 功能增加: 增加浏览加密图像的功能。该功能可以在输入密码后直接在色彩风暴中实时浏览加密图像，而不需要事先解密图像到临时文件。
3. 功能改进: 改进独立色彩风暴绘画程序支持输入和校验通行证。如果是注册用户，则支持透明图像保存。

15.4.0.0 (2015-08-01)
1. 功能改进: 改进多媒体播放器，增加对手机录音文件amr文件格式的支持。
2. 问题解决: 解决特定缩放情况下滑动切换图像时过渡效果导致图像显示不正确的问题。
3. 问题解决: 解决当选择使用图像高度排序时排序菜单勾选不正确的问题。
4. 问题解决: 解决XP下桌面图标设置为非标准大小时色彩风暴启动后特定条件下将其恢复为标准大小的问题。
5. 问题解决: 解决工具栏缩略图列表定位的一处性能问题。当通过资源管理器打开图像并且该图像前面还有大量其他图像时，反复定位当前图像将导致界面闪烁和短时间程序响应不良的问题。

15.3.0.0 (2015-04-07)
1. 功能改进: 全屏模式下增加交互模式选择，提供交互和勿打扰两种模式。交互模式下，通过鼠标单击，鼠标靠近边界，触屏点击，触屏边界扫出手势均可以滑出工具和状态栏。而在勿打扰模式下，这些动作将不会导致工具和状态栏滑出。通过F1键，鼠标长单击或双指点击手势任然可以使其滑出。
2. 功能改进: 改进当选择多个图像时任然可以显示基本属性对话框以显示统计信息，如文件总大小等。
3. 功能改进: 改进窗口截取服务，当拖动开始窗口抓取或截取时，将锁定桌面刷新直到完成所有截取操作。这样可以避免产生同时刷新留下痕迹。
4. 功能改进: 改进剪贴板服务，增加查看保存剪贴图目录的上下文菜单。
5. 功能改进: 改进窗口截取服务，增加查看保存窗口截图目录的上下文菜单。
6. 界面改进: 全屏模式下按F1键滑出或隐藏工具栏和状态栏。
7. 界面改进: 保存全屏工具栏显示状态，程序重启或重新进入全屏时工具栏的显示状态和退出全屏时一致。
8. 问题解决: 解决文件目录的大小显示不为0的问题。
9. 问题解决: 解决经典界面风格下状态栏文件图标在界面刷新后消失的问题。
10. 问题解决: 解决全屏模式下鼠标被按下但长时间没有移动时光标任然会被隐藏的问题。
11. 问题解决: 解决图像缩小算法中边缘颜色计算的一处错误，该处错误在特定缩小比列时导致垂直边缘处颜色显示不正确。
12. 问题解决: 解决滚动视图逻辑大小超过16位大小(65535)时拉动滚动条结束后位置回退的问题。
13. 问题解决: 解决列表视图处于详细列表风格时即使属性列数目超过视图宽度水平滚动条任不显示的问题。
14. 问题解决: 解决经典风格界面从全屏返回时列表视图的第一项文件名颜色显示不正确的问题。

15.2.0.0 (2015-04-01)
1. 功能改进: 改进缩略图显示，如果图像已经修改但没有保存，缩略图可以显示修改过的图像。
2. 功能改进: 改进上下文菜单中上一级功能，如果当前文件的上一级目录是当前打开目录，将跳转当前打开目录的上一级目录。
3. 界面改进: 改进播放器播放列表预览，如果文件数目小于列表宽度，任然能居中显示预览列表。
4. 界面改进: 改进工具栏缩略图列表定位逻辑，保持当前图像向在列表中央靠近并最终停留在中央。
5. 界面改进: 改进重命名编辑框，当再次点击文件名进行重命名时，不包含扩展名文件名部分将被自动选中以方便重命名。
6. 问题解决: 解决打开目录的快捷方式时，目录树不能定位相应的目录的问题。
7. 问题解决: 解决触屏平移图像到达边界是边界反馈使窗口抖动的问题。
8. 问题解决: 解决调整窗口大小时图像的缩放比例被重置的问题。
9. 问题解决: 解决全屏模式下当图像可以拖动时单击无法使工具栏滑出的问题。
10. 问题解决: 解决图像列表缩略样式不是缩略图的情况下，打开如压缩包等非本地文件系统目录时系统显示缓慢的问题。

15.1.0.0 (2015-03-28)
1. 功能增加: 图标服务增加全面的编辑存储功能。使用该功能，用户在打开图标文件后可以为图标文件增加新图标，修改并保存内部图标，或删除图标文件中的单个图标。
2. 功能增加: Photoshop笔刷服务增加编辑存储功能。使用该功能，用户在打开笔刷文件后可以为笔刷文件增加新笔刷，修改并保存内部笔刷，或删除笔刷文件中的单个笔刷。
3. 功能改进: 改进新建文件功能，使其能够在上下文菜单中显示，并自动定位当前打开目录。
4. 界面改进: 为目录树增加是否 “自动收起非选择目录”的选项。默认自动收起，用户可以通过，选项-〉常规-〉基本设置进行修改。
5. 界面改进: 为全屏工具栏退出和全屏按钮增加分割区以方便操作。
6. 问题解决：解决多媒体播放服务预览图像有时不能加载的问题，原因是FFmpeg库中codec的open和close函数线程不安全，需要加锁进行同步。
7. 问题解决：解决多媒体播放服务预览图像的缩略图不能被有效缓存的问题，原因是该服务直接提供所需缩略图大小的预览图像，而和缩略图大小接近的图像将不被缓存。
8. 问题解决：解决从资源管理器拖拽含有多个图像的文件（如图标文件）到色彩风暴时，不能双击打开的问题。

15.0.0.0 (2015-03-21)
1. 功能增加: 增加独立的多媒体预览和播放服务，该服务可以提供视频文件的预览功能，并且可以使用色彩风暴播放器进行播放。注意：视频解码库较大（11M），一次性更新。
2. 界面改进: 改进工具栏缩略图支持滚动视图。从而便于使用触摸屏进行滚动操作。
3. 界面改进: 改进全屏模式下工具栏显示或隐藏触屏手势，使用更加灵活的扫过手势检测逻辑。
4. 界面改进: 全屏模式下使用触摸屏手势移动图像达到图像边界时，不使用边界反馈。
5. 界面改进: 增加全屏模式下通过鼠标单击或触屏点击操作显示或隐藏工具栏和状态栏的功能。
6. 界面改进: 改进全屏工具栏和状态栏自动隐藏功能，通过手势或点击有目的的划出状态栏在鼠标离开后不自动隐藏。
7. 界面改进: 将缩略图基本设置（选项->常规->基本设置）放到独立页面显示。
8. 界面改进: 增加选项缩略视图中显示或隐藏文件扩展名，默认不显示已知文件扩展名。用户可以通过选项->常规->基本设置->缩略图更改设定。
9. 界面改进: 改进直方图显示，使用与直方图类型相对应的颜色显示。
10.功能改进: 改进桌面上下文菜单快捷方式设置，可以单独对主程序，剪贴板获取服务以及窗口获取服务单独设置。默认只增加主程序桌面上下文菜单。
11.功能改进: 改进快捷方式服务，地址栏直接显示目标地址并定位，同时允许对目标地址进行上一级操作。
12.功能改进: 改进升级功能，支持更加灵活的升级配置，节省下载量。改进下载进度对话框，显示下载大小和当前完成字节数，。
13.问题解决：解决全屏工具栏置于移动过的位置时，通过手势进行隐藏工具栏操作不能识别的问题。
14.问题解决：解决现代风格视图切换按钮切换视图后工具栏缩略图展开和收起状态不正确的问题。

13.4.0.0 (2015-02-09)
1. 功能增加: 增加快捷方式服务，提供从 Windows Shell 快捷方式搜索关联图像或目录的功能，同时提供相应目标目录的预览功能。
2. 功能改进: 增加图像列表预览功能，从而可以从预览图像列表文件的目标图像和列表内容。
3. 功能改进: 改进剪贴板服务，窗口截取及图像获取服务的目录和文件命名方式和灵活性，服务设置中可以指定目录和文件命名格式，并提供恰当默认设置。格式中可以使用以下变量：<$date>, <$time>, <$year>, <$month>, <$day>, <$hour>, <$minute>, <$second>, <$starttime>, <000...>.
4. 功能改进: 改进压缩包服务打开加密的压缩文件时密码输入功能。提供记忆密码的功能，方便重复打开相同密码的压缩文件操作，避免反复输入密码。
5. 功能改进: 缩略图上下文菜单中增加剪切，复制和粘贴菜单项。
6. 界面改进: 改进工具栏缩略图当前位置逻辑，尽可能保证当前图像在工具栏缩略图中心位置显示。
7. 界面改进: 改进视图背景显示策略，程序启动时延迟3秒加载显示背景图，避免启动和从通过资源管理器打开图像时背景显示。
8. 问题解决：解决绘图工具中，颜色调整工具中当色彩模式为HSV时，颜色滚动条显示颜色值不能正确调整的问题。

13.3.0.0 (2015-01-01)
1. 功能改进: 图像增加创建时间属性。搜索图像时，相应的服务可以为图像提供创建时间属性。提供按创建时间排序的功能。
2. 功能改进: 当程序启动时命令如果使用了 /h 参数，本次打开的地址下次启动时不自动打开，同时也不会出现在打开历史列表中。
3. 功能改进: 改进目录和文件排序功能，提供目录优先于文件排序开关选项，默认打开。用户可以通过选项-〉常规-〉基本设置进行改变。
4. 功能改进: 重构打开文件系列函数，使用统一的对象传递打开选项并在整个打开的过程中存贮这些选项并可以使用。
5. 功能改进: 完善当前操作锁定逻辑，当用户正在进行某项操作而打开对话框时，通过资源管理器打开图像时将会启动新的色彩风暴实例打开，从而保护当前用户操作不受干扰。
6. 界面改进: 调整删除确认对话框Tab键的顺序为确认 -> 取消 -> 将来不再显示该确认框。默认在确认按钮上。
7. 问题解决: 解决图像搜索进行过程中，如果进行删除操作或其他受图像序号变化影响的操作时，这些操作不能对正确的问题。

13.2.0.0 (2014-10-06)
1. 功能改进: 增加缩放锁定功能以简化缩放控制。当缩放锁定开关打开时，对当前图像的缩放会作用于其他的图像。而原有的全部缩放设置实际成为当缩放锁定开关关闭时默认的缩放设定。
2. 功能改进: 改进剪贴板获取服务支持将获取的图像保存到指定的目录而不是临时目录。如果没有指定，将默认保存到用户 “Documents” 目录下的 “My Captures” 目录。
3. 功能改进: 改进窗口获取服务支持将获取的图像保存到指定的目录而不是临时目录。如果没有指定，将默认保存到用户 “Documents” 目录下的 “My Captures” 目录。
4. 功能改进: 改进图像获取服务支持将获取的图像保存到指定的目录而不是临时目录。如果没有指定，将默认保存到用户 “Documents” 目录下的 “My Captures” 目录。
5. 功能改进: 增加选项为启动程序，启动剪贴板获取和启动窗口获取功能创建桌面右键菜单快捷方式。
6. 功能改进: 增加/z和/h程序启动命令行选项。/z: 最小化窗口启动。/h: 本次打开的地址下次启动时不自动打开。
7. 问题解决: 解决上个版本引入的通过资源管理器打开单个图像文件时没有搜索所在目录图像的问题。

13.1.0.0 (2014-05-15)
1. 界面改进: 改进主要视图更好的支持触屏操作。幻灯片模式下，用户可以通过快速扫过屏幕操作进行切换图像。其他情况下可以通过平移操作滚动图像。由于Windows系统默认只对显示有滚动条的窗口进行触屏平移操作，全屏模式下由于没有滚动条，色彩风暴需要编写代码以处理全屏时的触屏操作。
2. 功能改进: 改进 Flickr 服务支持OAuth认证和授权服务并且默认使用OAuth。传统的Flickr认证方式任然支持但默认并不启用。
3. 功能改进: 改进 Flickr 服务使用https进行所有Flikkr API调用. 注意：Yahoo将在几个月内禁用非https的调用。
4. 界面改进: 改进压缩包服务缩略图支持使用第一个图像选项。同时对目录缩略图生成代码进行了重构以提高代码的复用率。
5. 界面改进: 在全屏模式下，你可以通过扫过屏幕的边界显示或隐藏状态条，工具条以及信息窗口。
6. 界面改进: 改进全屏工具条排列策略。提高导航按钮及缩略图的显示优先级，这样当屏幕宽度有限时，仍能有限显示。
7. 问题解决: 解决当使用滚动模式（垂直或水平）时，点击非第一张图像进入图像视图但图像不能正常显示的问题。
8. 问题解决: 解决当反复进行图像实际大小显示操作时图像当前视窗位置发生平移的问题。

13.0.0.1 (2013-11-18)
1.问题解决：解决 Picasa 服务中用户列表不能获取完全的问题。主要原因是Google Picasa API发生了变化。

13.0.0.0 (2013-04-06)
色彩风暴 2013
1. 界面改进：改进工具栏布局方式，支持在不同的视图模式下显示不同的布局，从而更合理的体现不同视图模式的不同作用。
2. 界面改进：改进工具栏支持特大图显示，并默认在全屏和简屏模式下显示。增加工具按钮快速显示或隐藏按钮。
3. 界面改进：改进工具栏上下文菜单显示，支持在工具栏任意地方都可显示，从而提供操作的方便性。
4. 界面改进：改进鼠标滚轮放大缩小操作，使用和其他程序一致的滚轮方向进行放大缩小。
5. 界面改进：改进窗口获取服务，抓取窗口和截取窗口使用同一界面进行操作。
6. 界面改进：改进首次运行向导，增加选择是否启用Flickr或Picasa服务的选项。
7. 界面改进：提供更大缩略图大小的选择和功能支持。
8. 界面改进：改进状态栏和视图标题栏字体，使用标准的显示字体而非加粗显示。
9. 界面改进：传统模式增加设置壁纸按钮。增加相应的快捷键Ctrl+W。
10.界面改进：改进缩放快捷键，实际大小和匹配图像可使用非小键盘,和.键。另外改进快捷键帮助信息，黑体显示便于阅读。
11.问题解决：解决ZIP文件Unicode文件名不能正确显示的问题。
12.问题解决：解决多显示器的支持问题，包括全屏工具栏，状态栏的显示以及由服务线程显示的独立窗口的位置问题。
13.问题解决：解码特定的TIFF文件时导致程序崩溃的问题。
14.问题解决：解决图像包包含多个图像时默认大小不能正确匹配图像大小的问题。
15.问题解决：解决视图背景颜色设置界面不能正确设置的问题。
16.问题解决：解决启用新的服务后，其资源浏览显示到我的电脑之前的问题。

12.11.0.0 (2013-03-31)
色彩风暴 2012 享受色彩，体验风暴。
1. 功能增加：增加全屏状态下光标自动隐藏功能。全屏状态下，如果鼠标在一定时间中没有移动，光标将自动隐藏。你可用通过 “工具-〉选项-〉常规-〉基本设置” 禁用该功能。
2. 界面改进：状态栏宽度根据当前系统使用的字体大小决定。以解决在大字体系统中图像大小有时显示不全的问题。
3. 问题解决：解决JPEG解码中处理CMYK色彩模式的图像时不能正确解码的错误，
4. 问题解决：解决压缩包服务设置在使用英文界面语言时设置不能保存的问题。
5. 问题解决：解决更新程序在更新不包含色彩风暴核心组件的情况下无法正确更新的问题。
6. 问题解决：解决信息窗口在打开不包含图像的目录时，上一次打开图像的信息遗留在界面上的问题。

12.10.0.0 (2012-09-09)
色彩风暴 2012 享受色彩，体验风暴。
1. 功能增加：增加全屏状态下光标自动隐藏功能。全屏状态下，如果鼠标在一定时间中没有移动，光标将自动隐藏。你可用通过 “工具-〉选项-〉常规-〉基本设置” 禁用该功能。
2. 界面改进：状态栏宽度根据当前系统使用的字体大小决定。以解决在大字体系统中图像大小有时显示不全的问题。
3. 问题解决：解决JPEG解码中处理CMYK色彩模式的图像时不能正确解码的错误，
4. 问题解决：解决压缩包服务设置在使用英文界面语言时设置不能保存的问题。
5. 问题解决：解决更新程序在更新不包含色彩风暴核心组件的情况下无法正确更新的问题。
6. 问题解决：解决信息窗口在打开不包含图像的目录时，上一次打开图像的信息遗留在界面上的问题。

12.9.0.0 (2012-07-18)
色彩风暴 2012 享受色彩，体验风暴。
1. 性能改进：极大改进浏览较大图像时图像切换和响应的速度。使用异步加载机制对工具栏缩略图和直方图进行加载。同时对直方图的加载采用延迟策略，从而在进行快速图像切换时，无须加载跳过位置的直方图。
2. 性能改进：改进图像切换时图像加载策略，极大提高大范围切换时图像加载和显示速度。新策略在当前图像加载完成之后进行周围图像的预加载。既确保当前图像以最快的速度加载又可以预先加载周围图像。
3. 界面改进：改进现代风格工具栏，增加显示“转到”菜单的菜单按钮，确保现代风格下可以访问到传统风格的所有功能。
4. 功能改进：默认关闭输入设备或文件的色彩管理功能。原因是发现一些图像工具在图像文件（如PNG)中嵌入不正确的色彩配置，从而导致应用这些配置后图像反而不正确的问题。
5. 功能改进：如果图像已经编辑，刷新图像时显示确认消息。
6. 问题解决：解决当程序以普通用户权限运行并多次更改界面语言设置时快捷方式更新的问题。

12.8.0.0 (2012-07-08)
色彩风暴 2012 享受色彩，体验风暴。
1. 性能改进：非常重要的性能改进。解决全屏和主界面切换时界面响应迟缓的问题。原因是界面在进行切换时，清除了工具栏缩略图缓存，重新生成工具栏缩略图导致界面响应迟缓。
2. 性能改进：改进通过资源管理器直接打开图像时图像加载策略，极大提高图像显示速度。新策略在第一张图像加载完成之后才进行周围图像的预加载，从而不影响当前图像的加载速度。
3. 界面改进：改进全屏状态栏，工具栏及属性视图可以分别设置锁定位置和自动隐藏。
4. 界面改进：改进全屏状态下通过状态栏或工具栏显示菜单时的体验。状态栏或工具栏在菜单关闭之前将不会自动隐藏。
5. 界面改进：将“菜单”项从开始菜单中移除，从而避免菜单内容重复而导致功能分布难以理解。
6. 问题修复：修复在传统模式下，全屏时开始菜单不能显示的问题。

12.7.0.0 (2012-04-29)
色彩风暴 2012 享受色彩，体验风暴。
1. 功能增加：增加变形-〉边框功能，提供去除或扩展边框的功能。
2. 界面改进：改进旋转和镜像等编辑功能快捷键，使用Ctrl键替代原有的Shift键，从而和快捷键操作习惯保持一致。
3. 界面改进：改进缩略图选择功能，使用Shift + 方向键可以连续进行选择，方便只使用键盘进行多选操作。
4. 功能改进：改进文件名冲突时自动重名文件名格式，使用形如, Image - (1).jpg 的格式。

12.6.0.0 (2012-03-23)
色彩风暴 2012 享受色彩，体验风暴。
1. 问题修复：修复通过资源管理器双击打开图像文件时如果目录中文件较多，可能出现界面没有反应的问题。原因是文件搜索过程中，不必要的界面刷新导致系统反应迟缓。
2. 问题修复：修复Flickr服务中，创建非英文相册，相册名称变成乱码的问题。

12.5.0.0 (2012-02-29)
色彩风暴 2012 享受色彩，体验风暴。
1. 界面改进：改进现代风格界面，提供地址输入和历史地址列表功能。原有的文件路径拆分为当前打开目录和文件名两部分，从而提供更有意义的信息。
2. 界面改进：改进属性窗口，增加显示图像描述（如果有）。
3. 界面改进：改进属性窗口，图像描述和直方图显示可以收缩，从而方便显示或隐藏。
4. 功能增加：增加三个过渡效果组合，同时改进过渡效果机制，提供方向感知的切换效果。
5. 功能改进：改进Flicker和Picasa服务，搜索图像时获取图像描述信息，从而可以在信息窗口显示。
6. 问题修复：修复创建图像时，选择背景颜色按钮显示颜色没有进行输出设备色彩管理的问题。

12.4.0.0 (2012-02-21)
色彩风暴 2012 享受色彩，体验风暴。
1. 功能增加：增加对输入文件或设备进行色彩管理的功能，默认开启。在开启该功能的情况下，如果输入图像中包含色彩配置文件(ICC)，程序将使用该配置文件所指定的色彩空间作为输入图像的色彩空间。目前支持JPG, PNG和TIFF文件中内嵌的色彩配置文件。
2. 功能增加：增加对输出设备的色彩管理的功能，默认关闭。在开启该功能的情况下，输出设备如显示器或打印机，如果设置了色彩配置（ICC）， 程序将图像变换至该配置文件所指定的色彩空间输出。
3. 界面改进：改进现代风格界面字体颜色，使用和整体的黑色更加协调的略浅的白色。
4. 界面改进：改进鼠标滚轮配置，增加使用鼠标滚轮进行缩放的设置。
5. 问题修复：修复当压缩包服务不存在或禁用时，如果操作系统中包含压缩包Shell扩展时，压缩包不能正确显示和搜索的问题。
6. 问题修复：修复批量打印在某些打印环境中打印任务不能正确创建的问题。

12.3.0.0 (2012-02-09)
色彩风暴 2012 享受色彩，体验风暴。
1. 界面改进：改进现代风格工具条，增加小缩略图导航条，提供简屏和全屏状态下缩略图导航功能。
2. 界面改进：改进首次运行设置向导，增加向导页面设置默认界面风格选项。
3. 界面改进：改进批量重命名选项对话框，使用向导的方式设置重命名选项。
4. 界面改进：改进卸载快捷方式，使用不同颜色的图标以避免误操作。
5. 界面改进：改进创建图像包和创建屏保向导，使用系统一致的向导界面风格。
6. 界面改进：改进缩略视图，当从简屏或全屏切换回缩略图时，定位当前图像到视图的中心位置，而不是开始位置。
7. 功能改进：改进工具-〉卸载功能，在Win7系统上，即时程序当前运行用户为普通用户权限，仍然可以成功卸载。
8. 算法改进：改进图像缩小绘图算法，绘图时，当图像缩小比例非常大时，采用忽略采样边界的快速算法，以加快图像缩小绘制性能。
9. 问题修复：修复图像缩小算法中当图像缩小比例过大时，累加后整数可能溢出从而导致结果不正确的问题。
10.问题修复：修复界面语言自动选择功能，不能根据当前系统的语言设置改变而变化的问题。

12.2.0.0 (2012-01-30)
色彩风暴 2012 享受色彩，体验风暴。
1. 功能增加：属性视图增加显示亮度及红、绿、蓝直方图信息，默认为亮度。
2. 功能增加：图像包增加密码保护功能，同时可以选择对数据进行加密以提高更安全的保护。
3. 功能增加：绘画服务增加透视工具，能够对选择区域进行透视变换。
4. 功能增加：增加透视滤镜，能够对一到多张图像按指定的参数进行透视变换。
5. 功能改进：改进绘画服务的颜色拾取工具，支持重复和交替两种操作模式。
6. 界面改进：改进主程序启动及窗口模式切换，提供更好的界面反应和更平滑的体验。
7. 界面改进：改进主程序窗口的绘制功能，消除窗口在刷新时产生闪烁的问题。
8. 界面改进：改进现代风格的缩略视图，显示滚动条以方便操作。
9. 界面改进：改进首次运行设置向导及升级向导界面，更美观的界面风格。
10. 算法改进：改进图像插值算法，避免进行如旋转、透视等操作时出现透明边缘产生锯齿。
11.问题修复：修复图像插值算法中对透明通道处理在特定情况下产生错误输出的问题。
12.问题修复：修复当图像视图停靠在目录视图周围时，进入简屏，属性视图出现不可见的问题。
13.问题修复：修复主程序分割条调整时定位不准确和局部区域出现刷新不正确的问题。
14.问题修复：修复卸载程序没有注册表访问权限时文件关联更新失败但没有显示错误消息的问题。

12.1.0.0 (2012-01-13)
色彩风暴 2012 享受色彩，体验风暴。
1. 界面改进：重构传统风格和现代风格的简屏模式，从资源管理器打开图像时使用简屏或全屏。
2. 界面改进：右上角帮助区域增加收藏按钮，提供快速访问收藏的入口。
3. 界面改进：全屏工具栏等增加锁定位置和自动隐藏选项。锁定位置开关打开时，浮动窗口位置不能拖动。自动隐藏开关打开时，当不需要使用时浮动窗口将会自动隐藏。
4. 界面改进：工具栏按钮增加缩放菜单按钮，以方便访问其他缩放功能。
5. 性能改进：改进目录树显示中可能存在的长时间等待的性能问题。原因是当目录中有大量压缩文件而压缩文件以目录显示在目录树中时，查询其是否包含子目录会很慢。
6. 功能改进：改进shell扩展，更灵活的支持通过Windows Shell扩展方式显示的目录或文件。
7. 问题修复：修复命令行启动程序时，即使全屏开关打开，仍然不能全屏的问题。
8. 问题修复：修复可收缩视图的收缩状态在特定的条件下重起程序后丢失的问题。
9. 问题修复：修复当图像视图不显示时，状态栏仍然显示缩放比例的问题。
10.问题修复：修复通过分割条调整或停靠视图时，视图刷新不正确的问题。

12.0.0.1 (2012-01-04)
色彩风暴 2012 全新界面，全新体验。
1. 现代风格界面提供全新的用户体验，用户仍然可以在传统界面风格和新界面风格之间进行切换。
2. 同时增强分割条功能，增加视图展开和缩起操作，提供更方便视图操作。
3. 修复一个在最新版本中才会暴露出的因为除零导致的程序不能正常起动的问题。(12.0.0.1)
享受色彩，体验风暴 —— 2012

12.0.0.0 (2012-01-04)
色彩风暴 2012 全新界面，全新体验。
1. 现代风格界面提供全新的用户体验，用户仍然可以在传统界面风格和新界面风格之间进行切换。
2. 同时增强分割条功能，增加视图展开和缩起操作，提供更方便视图操作。
享受色彩，体验风暴 —— 2012

11.5.0.0 (2011-12-03)
1. 功能增加：全面改造绘画程序，逐渐发展成为可以满足高级图像编辑需要绘画工具。(总括)
2. 功能增加：改进选区机制，支持任意形状任意深度的选区，这是专业图像编辑的基础。基于该基础，增加各种选区工具。
3. 功能增加：绘画程序增加，椭圆选区工具，套索工具，魔术棒选区工具，移动选区工具等新的选区工具。同时支持对当前选区的各种操作。
4. 功能增加：改进2D绘图机制，支持反锯齿图形绘制。这是图像编辑的另外一个非常重要的方面，没有反锯齿图形，就很难有高质量的绘画。
5. 功能增加：增加笔刷工具，曲线工具，自由形状工具，正多边形工具，缩放工具。改进铅笔工具，橡皮工具，箭头工具等。
6. 界面改进：全面改进用户界面，提供更友好的可扩展选项的工具和选项操作界面。
7. 功能改进：改进阴影滤镜，增加扩散半径选项以支持产生指定的阴影扩散效果。
8. 算法改进：改进透明图像缩放算法中对于含有透明度的像素点的混合算法，以避免透明图像边缘杂色。
9. 代码重构：透明图像的存贮结构，由原来的非正式的BGR + A格式转换到BGRA通用格式，以应对将来可能的功能扩展需求。
10.问题解决：解决当壁纸切换器启用时，如果使用图像编辑扩展，如剪切板工具进行编辑操作之后，主程序窗口不能关闭的问题。

11.2.0.0 (2011-12-02)
1. 功能增加：增加 “纹理-〉扩散” 效果，该滤镜可以产生类似沙粒的扩散效果。
2. 功能增加：增加 “效果-〉焦散” 效果，该滤镜可以在图像表面增加焦散光效。
3. 功能增加：增加 “效果-〉晶格” 效果，该滤镜可以产生各种晶格分割效果。
4. 代码重构：重构图像控制器代码，缩略视图及图像视图代码，提供有效的抽象和隔离，逐步为缩略图重用和图像视图扩展做好准备。
5. 问题解决：解决打开文件系统目录会导致系统句柄泄漏的问题。
6. 问题解决：解决图像保存后使用Ctrl + S仍然可以进行保存操作的问题。
7. 问题解决：解决绘图中文字工具第一次使用时字体不能进行ClearType反锯齿的问题。
8. 问题解决：解决Shell扩展服务图像有时不能加载的问题，原因是在使用Shell API加载图像数据之前未对COM进行初始化，同时解决了由此导致的句柄泄漏的问题。
9. 问题解决：解决绘图中当有图层删除图层自动命名可能出现重复的问题。
10.问题解决：解决如果目录视图和缩略视图都没有显示的情况下，目录预览图中文件系统图标有时不能显示的问题。

11.1.0.0 (2011-09-10)
1. 功能增加：升级RAW图像解码库，增加支持Canon，FUJIFILM，KODAK，NIKON，OLYMPUS，PENTAX，Panasonic，SAMSUNG，SONY等较新相机型号的RAW格式文件。
2. 功能增加：增加 “变形-〉水波” 滤镜，该滤镜模拟环形水波效果。
3. 功能增加：增加 “变形-〉波纹” 滤镜，该滤镜产生水平或垂直波纹效果。
4. 功能增加：增加 “变形-〉大理石” 滤镜，该滤镜产生大理石纹理效果。
5. 功能增加：增加 “变形-〉捶击” 滤镜，该滤镜模拟表面被捶击的效果。
6. 功能增加：增加 “变形-〉漩涡” 滤镜，该滤镜产生漩涡效果。
7. 功能增加：增加 “效果-〉马赛克” 滤镜，该滤镜产生马赛克效果。
8. 功能增加：增加 “效果-〉油画” 滤镜，该滤镜模拟油画效果。
9. 功能改进：改进 “效果-〉浮雕” 滤镜，提供更加逼真的浮雕效果，并可以灵活配置生成浮雕效果的参数。
10.界面改进：重名名图像滤镜分类，“表面”-〉“纹理”，“风格化”-〉“效果”，“透明度”-〉“透明”。
11.问题解决：解决GIF图像被编辑图像视图没有更新为编辑后的图像的问题。

11.0.0.0 (2011-07-01)
1. 性能改进：新版本JPEG解码启用处理器硬件加速，JPEG图像解码速度将提高约1-2倍。对于高分辨率数码图像，可以直接感觉到明显速度提升，即一步提升极速的图像浏览体验。
2. 功能改进：改进目录预览图加载，增加“显示第一个图像”选项，该选项设置时，将以目录中的第一个图像作为目录的预览图像。
3. 功能改进：允许为目录预览大图和缩略图设置不同的信息选项。由于缩略图较小，不宜显示过多的信息，该改进可以允许用户为缩略图设置包含较少信息的预览选项，如“图标”或“图像”。
4. 功能改进：改进保存功能，即使执行保存操作，仍然可以撤销和重做，从而提供更高的数据安全性和防止误操作引起的数据丢失。
5. 功能改进：改进Flickr服务相册使用主图像作为缩略图。
6. 界面改进：全屏信息栏增加显示文件图标。
7. 界面改进：绘图服务图层列表双击显示图层属性对话框。

10.9.9.3 (2011-06-19)
1. 功能增加：增加虚光蒙版滤镜，通过高斯模糊蒙版对图像进行锐化。出现在菜单“编辑-〉模糊-〉虚光蒙版”。
2. 功能增加：增加背景剥离滤镜，剥离指定颜色的背景，使用“逆向图像混合算法”可以较高质量的剥离合并在单色背景上图像或文字。出现在菜单“编辑-〉透明-〉背景剥离”。
3. 功能增加：增加阴影滤镜，通过剥离背景增加前景的阴影，该功能通过类似于背景剥离的算法产生前景轮廓并生成阴影。出现在菜单“编辑-〉透明-〉阴影”。
4. 功能改进：改进缩略图缓存文件存贮，允许自定义缓存路径，自定义路径可以在“选项-〉常规-〉临时数据-〉设置”中进行设置。
5. 功能改进：改进目录预览图信息设置，增加“图标”选项，使用操作系统图标作为目录预览图。下一版本中将进一步允许目录预览的大图和缩略图使用不同的设置。
6. 界面改进：由于“删除”和“重命名”在一起容易引起误操作，增加分割条以方便区分和点击。
7. 界面改进：改进目录树上方的标签窗口，当标签显示不下时，显示左或右扩展菜单。该功能为将来增加更多的目录树扩展提供基础。
8. 界面改进：增加保存确认图像时确认对话框。由于数据保存后将不能撤销，确认对话框有助于数据安全和避免误操作。
9. 架构改进：在系统抽象中增加“图像描述”信息，以扩展系统有能力将图像和文字关联起来显示。该改进为将来计划的“图像微薄”扩展提供概念和架构基础。
10.架构改进：改进图像和缩略图加载逻辑，允许提供和显示和主图像不同的缩略图像。由于缩略图较小，在缩略图中显示不同于主图像但更加重要的信息就很有价值。
11.问题解决：解决在本题文件系统图像上“资源管理器”总是不可用的问题。该问题实在上一个版本中导入的。
12.问题解决：解决当保存发生某种错误，显示的错误消息中成功和失败的数目不正确的问题。

10.9.9.2 (2011-05-26)
1. 功能增加：增加通过邮件发送图像的功能，该功能作为一个存储扩展，出现在“文件-〉发送到”菜单下。
2. 功能改进：改进1位，4位和8位索引图像的缩放算法，采用和24位以上图像相同的缩放算法以提高图像采样后图像的质量。该算法改进应用在图像的缩放显示以及编辑图像大小。
3. 功能改进：改进窗口库实现多显示器支持，主要变化是顶层窗口或浮动窗口在多显示器环境下的坐标处理。
4. 功能改进：改进绘图画布大小调整功能，增加调整方向以选择空白区域的延伸或被剪切的区域的收缩方向。
5. 功能改进：改进绘图，裁剪板，红眼消除等编辑工具， 增加保存按钮。和原有的确认按钮不同的是，保存按钮将确认编辑并保存文件到磁盘或任何其他存储介质。
6. 功能改进：改进图像视图左键单击功能，增加控制选项。当前支持的行为有：“自动（自动选择拉动图像或临时选框）”，“总是拉动图像”，“总是临时选框”和“缩放切换（匹配<->实际大小）”。
7. 界面改进：改进裁剪板，增加显示标尺。改进在缩放图像裁剪模式下进行缩放时保持当前裁剪区域中心图像区域不变。
8. 界面改进：统一各视图的图像缩放功能，产生最佳缩放比例序列。统一按Ctrl时鼠标滚轮缩放的方向。增加按Shift键进行细粒度缩放功能。
9. 界面改进：改变原有的“另存到”菜单为“发送到”菜单，从概念上体现该处扩展接口的功能。
10.界面改进：改进选项工具栏按钮位下拉菜单按钮，增加菜单项一直接显示常用的一些设置对话框。
11.界面改进：改进图像属性对话框，在常规页面中显示图像的位深度和是否透明这两个重要信息，以方便查看。
12.问题解决：解决按图像类型搜索功能，只搜索出过滤器中第一种类型的图像的问题。

10.9.9.1 (2011-05-13)
1. 功能增加：绘图增加多图层支持，并可以通过色彩风暴图像文件(*.RMG)保存以保持图层信息。同时绘图增加标尺显示，更方便定位。改进撤销重做功能，将撤销或重做的图像数据保存到文件以节省内存同时实现无限制步数撤销或重做。
2. 功能增加：裁剪板增加支持缩放视图和缩放图像两种裁剪模式。缩放视图模式下进行缩放时，仅仅缩放视图而不对最终裁剪的图像进行缩放；缩放图像模式下进行缩放时，裁减得到的图像将同样被缩放（所见即所得）。
3. 性能改进：改进系统启动性能，对常量字符串存贮和构造进行优化，避免分配新的内存和拷贝。由于系统中存在大量的常量字符串对象，而这些字符串对象都在系统启动时被自动创建和初始化，该优化可以在某种程度上加快启动速度。
4. 功能改进：改进基本图像服务和压缩包服务,增加“预览图信息”配置，通过该配置选择在产生目录预览图时的信息详细程度：最少，优化，列表和最多。默认和推荐使用“优化”，在浏览同时包含大量文件和目录时如果产生最详细的信息可能影响系统性能和体验，“优化”模式能发现这种情况并在必要的时候产生适当的信息。
5. 功能改进：改进剪贴板服务，支持在打开剪贴板地址中指定文件名格式，如clipboard:///clip-<$date>-<$time>-<000>将可以产生如clip-20110417-100620-001的文件文件名。
6. 功能改进：改进裁剪板和绘图服务中拖动调整选区大小时，按Ctrl键同时拖动得正方形区域，按Shift键同时拖动保持当前比例调整大小。同时改进裁剪板选区拖拉，允许在图像区域以外启动拖拉操作从而方便选取边界区域。
7. 功能改进：改进列表视图中的复制操作，当在同一个目录复制文件时，将生成图像文件的副本而不是跳过或覆盖原有文件。
8. 功能改进：在图像视图进行拷贝动作时默认拷贝图像数据本身,而不是经过缩放的视图图像,使用Ctrl + Shift + C拷贝视图图像。
9. 功能改进：改进绘图服务中文字工具，总是使用反锯齿方式绘制文本，而不管操作系统是否设置了反锯齿文本绘制。
10.界面改进：改进调整图像大小等对话框，增加交换宽高按钮。
11.界面改进：改进关于对话框中邮件地址和网站地址为可点击链接以方便操作。
12.问题解决：解决新建图像文件后图像列表中出现重复文件的问题。原因是上一次资源监视产生的图像添加时间被延迟到下一次打开。同时对文件添加事件进行确认，如果文件已经存在，则忽略这个重复的添加事件。
13.问题解决：解决裁剪板中“定制...”菜单没有显示的问题，该问题在上一个版本中引入。

10.9.9.0 (2011-04-10)
1. 新增功能：增加“模糊 -〉中值”图像滤镜，该功能调整像素的亮度为周围像素亮度的中间值。
2. 新增功能：增加“表面 -〉抖动”图像滤镜，该功能对每一像素增加随机偏移从而产生抖动效果。
3. 新增功能：增加“透明度 -〉自适应透明度”图像滤镜，该功能根据像素的亮度调整像素的透明度。
4. 新增功能：增加“透明度 -〉反转透明度”图像滤镜，该功能反转每个像素点的透明度。
5. 新增功能：增加“透明度 -〉背景颜色”图像滤镜，该功能可以设置透明图像背景颜色。
6. 新增功能：增加“显示透明棋格”视图选项，该选项开启时，可以为透明图像背景显示透明棋格。
7. 新增功能：增加“屏幕优化加载”视图选项，屏幕优化加载将根据屏幕分辨率确定加载图像大小以提高加载速度和节省内存，但程序中看到的图像可能会比实际的图像要小。所以请不需要的时候关闭屏幕优化加载。
8. 算法改进：改进图像缩放插值算法，支持对透明通道进行插值，从而对透明图像提供更高质量的缩放。
9. 算法改进：改进缩略图缩小算法，提供更加快速的缩略图生成，该算法考虑当图像缩小倍数在3倍以上时，舍弃浮点运算的精度而采用更快速的整数运算仍然可以得到相当的缩小效果。
10.算法改进：改进透明图像的渲染算法，在图像缩小或放大时在算法中考虑透明通道，从而提供更好的缩放渲染效果。
11.界面改进：增加带透明通道的色彩选择对话框，在“添加文字”，“新建-〉文件”，以及“透明度 -〉背景颜色”对话框中使用该对话框选择颜色。
12.界面改进：在更新提示对话框中增加许可条款信息，只有用户接受许可条款才能继续更新。
13.功能改进：改进图像内部数据格式，简化内部格式以更好的支持图像处理操作，从而根本上解决各种内部格式转换的一致性问题。
14.功能改进：改进RMG图像格式，支持3中内部编码格式：位图格式（透明支持），PNG格式和JPG格式（透明支持），从而使RMG格式具有更普遍的适应性。
15.功能改进：改进图像数据传递和处理，更好支持多图层图像，为绘图扩展将来支持图层做好准备。
16.功能改进：改进更新程序，对更新中下载失败的情况进行尝试，提高更新程序的可靠性。
17.问题解决：解决图标文件解码算法中的一个问题，该问题对极少数符合特定条件的文件解码得到一个完全透明的图像。
18.问题解决：解决主程序中关闭浏览操作但最后一个图像信息仍然显示在状态栏中的问题。
19.问题解决：解决对网络路径上的文件进行保存操作后，出现文件重复显示的问题。
20.问题解决：解决位图文件解码算法中对BI_BITFIELDS格式处理不正确的问题。

10.9.8.13 (2011/02/14)
1. 紧急修复：修复在 10.9.8.12 中因图像视图代码重构导致的若干针对图像列表的多个图像进行操作的功能失效的问题。这些操作包括删除，壁纸设定，地址拷贝等。请务必更新。

10.9.8.12 (2011/02/13)
1. 新增功能：增加图像扭曲操作，对图像进行水平或垂直方向扭曲，用户可以通过编辑菜单“变形-〉扭曲”来使用。同时将原有的一些滤镜操作归类到“变形”子菜单下。
2. 新增功能：增加“表面-〉高斯模糊”，“轮廓-〉侵蚀”，“轮廓-〉扩张”滤镜。同时将色彩相关的滤镜归类到“色彩”子菜单下。
3. 新增功能：绘图工具服务可以直接使用色彩风暴主程序的图像编辑滤镜，极大丰富了绘图工具的功能。在绘图工具中，滤镜可以对全图或仅对选择区域操作。
4. 新增功能：绘图工具增加支持单向箭头和双向箭头工具。同时改进直线工具，支持按下Shift键同时拖动将产生45度角直线。
5. 功能改进：改进图像大小读取机制，增加图像属性扩展，只要缩略图或图像被加载，就可以读取并显示图像大小属性。
6. 功能改进：改进图像视图鼠标滚轮缩放操作,当鼠标左键背按下时,滚动鼠标滚轮,执行缩放操作(同按下Ctrl的同时滚动鼠标滚轮)，该功能也可以实现缩放的同时拖动图像到适当的区域。
7. 功能改进：改进图像旋转操作，背景模式增加透明选项。当背景设置为透明时，图像旋转产生的新增区域将设置为透明。这也为将来的图像混合功能提供支持。
8. 界面改进：改进图像大小编辑功能，增加图像预览。
9. 问题解决：解决绘图工具中进行旋转时特定情况下界面更新不正确的问题。
10.代码重构：重构图像编辑滤镜代码，为引入更多更广泛的滤镜做准备。重构图像视图代码，为引入3D视图做准备。

p>10.9.8.11 (2010/10/20)
1. 界面改进：改进全屏信息栏和全屏工具栏，实现自动隐藏功能，当全屏信息栏和全屏工具栏放置在靠近屏幕上方或下方边缘位置时（小于4像素点），全屏信息栏或全屏工具栏会在3秒后自动隐藏。如果不是靠近边缘，将不会自动隐藏。
2. 界面改进：改进目录树选择窗口背景，使用更强的界面反馈和效果。同时改进绘图工具选择框背景。
3. 界面改进：改进视图名称,使之更容易理解并和程序功能相呼应。变更如下，浏览视图->目录视图，列表视图-〉缩略视图，图像视图保持不变。
4. 界面改进：改进图像视图标题区，去掉“预览”标题以避免引起视图名称混淆。文件名前增加显示当前文件的图标以帮助用户获取当前文件类型的重要信息。
5. 功能改进：增加“退出时清除”地址历史纪录功能。可以通过选项-〉常规-〉临时数据 对话框进行设置。
6. 问题解决：解决在特定的系统中，使用打开对话框时程序出现崩溃的问题。
7. 问题解决：解决JPEG 2000解码程序中一处导致程序以某种不确定的方式崩溃的问题，原因是在多线程环境中错误的调用了线程不安全的函数。
8. 问题解决：解决当有视图扩展被禁用时,其他未被禁用的视图扩展的状态出现禁用的问题。
9. 问题解决：解决地址栏中相同的地址出现重复的问题,原因是延迟地址列表的加载没有将已经加入的地址清空。

10.9.8.10 (2010/09/12)
1. 性能改进：改进图像缩放算法中的内存使用。新的算法避免了一处对整个图像的内存不必要的拷贝操作。由于该算法在加载缩略图时经常调用，所以该处改进操作可以提高系统对内存的使用效率和性能。
2. 性能改进：改进壁纸转换操作时内存的峰值使用值，由于原有转换过程将一处可以释放的图像数据保留到过程结束，从而导致整个过程中的峰值内存增加。以4000 * 3000的图像为例，改进前峰值内存为120M，改进后为60M。
3. 界面改进：改进文件系统目录树， Picasa目录树和Flickr目录树使用控件的热点反馈样式，当鼠标在树节点间移动时，可以显示出当前的热点。
4. 界面改进：改进工具窗口的关闭按钮，目录树标签窗口，颜色选择窗口以及绘图服务工具窗口实现热点反馈。即当鼠标移动到可以点击的热点上时，界面会反馈出效果。
5. 界面改进：改进列表视图，提供热点反馈和更好的界面效果。
6. 界面改进：缩放当前图像时，如果同时按住Shift键，当前图像的缩放值将同时应用到所有图像。
7. 问题解决：解决地址栏在Windows 7中下部边框不能全部显示的问题。
8. 问题解决：解决在匹配宽度或高度垂直或水平滚动样式下，当没有图像时，图像视图仍然显示出滚动条的问题。

10.9.8.9 (2010/08/15)
1. 重要修复：紧急修复上一个版本中导入的更新程序无法正确更新的问题。原因是错误的将Debug版本的更新程序编译进主程序从而导致更新程序在目标机器上无法加载的问题。
2. 性能改进：改进目录中存在大的RAR压缩文件时，系统的响应性。当进行切换到其他目录或地址操作时，系统会出现假死现象，原因是当RAR很大（文件或目录很多）时，生成预览图需要比较长的时间，而原有的实现没有在该过程中检查是否用户已经取消当前操作。
3. 界面改进：工具栏支持小图标，并将默认工具栏图标大小变为小图标。大图标尽管更清晰，但由于工具栏图标较多，可能导致用户很难获得全局视野，反而不便于工具栏操作。用户仍然可以通过工具栏上下文菜单或视图-〉工具栏切换到大图标。
4. 界面改进：软件更新对话框增加“不再检查更新”按钮，以便用户快速设置禁用更新检查选项。
5. 界面改进：改进菜单图标,使用小图标以使所有的菜单高度一致，同时也减少菜单的高度，从而达到更好的效果。
6. 界面改进：左侧目录树标题“Google Picasa”及“Yahoo Flickr” 分别更改为更加简洁的“Picasa”和“Flickr”。
7. 问题解决：解决裁剪板，绘图工具，全景视图，红眼消除工具等主窗口的菜单无法使用Alt以及相应快捷键激活的问题。

10.9.8.8 (2010/07/25)
1. 功能改进：基本图像服务增加“默认32bit位图为透明通道位图”选项，当该选项打开时，32bit 位图图像的第4字节将被当作透明通道字节，从而可以加载“透明的BMP文件”。
2. 问题解决：解决有些WMF文件不能正确解码的问题。原因是解码程序中的一处过强的条件检查导致一些WMF文件被认为是不合法WMF文件，从而导致加载失败。另外改进WMF解码程序对生成图像大小的确定。
3. 代码重构：重构视窗库代码和部分模块结构，以支持静态链接和动态链接两种链接方式，为进一步改进UI做好准备。

10.9.8.7 (2010/06/01)
1. 功能改进：增加是否为色彩风暴创建启动菜单启动程序和卸载程序快捷方式选项，增加是否在添加和删除程序控制面板中增加卸载色彩风暴项目的选项，增加是否创建桌面和快速启动快捷方式。首次运行时设置向导增加相应的选项设置。用户也可以通过选项-〉工具-〉常规-〉基本设置-〉快捷方式 页面对这些选项进行更改。有了这些快捷方式，用户可以通过启动菜单中的快捷方式或添加和删除程序来卸载色彩风暴，更加符合常规的用户习惯。
2. 功能改进：改进Picasa服务，支持用户配置Picasa服务器地址列表。同时支持访问除picasaweb.google.com以外的picasa服务地址，如picasaweb.google.it，如用户可以直接在地址栏中使用http://picasaweb.google.it/colorstorm.haifeng访问。（注：该功能只对VIP用户有效，非VIP用户只能使用picasaweb.google.com地址）。
3. 功能改进：增加通道分离编辑功能。可以通过编辑-〉通道 子菜单使用分离红色通道，绿色通道，蓝色通道和透明通道的功能。
4. 功能改进：增加透明度调整编辑功能扩展。可以通过编辑-〉透明度调整 菜单来调整图像的整体透明度。
5. 功能改进：改进绘图工具服务的移动工具支持通过拖拉调整选区图像大小及方向。
6. 功能改进：改进复制功能支持透明图像的复制。用户可以通过Ctrl + Shift + C进行高级复制操作，如果图像包含透明信息，将使用32bit位图的透明度通道保持透明信息。也改进绘图工具使用Ctrl + Shift + C进行高级复制操作，Ctrl + Shift + X进行高级剪切操作。Ctrl + Shift + V进行高级粘贴操作，均强制32bit位图为透明通道位图。
7. 功能改进：改进剪贴板服务提供是否默认将32bit位图作为透明通道位图进行处理的选项，同时增加保存为PNG图像的支持。也可以直接通过下面的服务地址格式指定剪贴板单次操作的保存格式及选项：clipboard:///文件名前缀/格式/选项。格式：jpg | bmp | png；选项：alpha | non-alpha。
8. 功能改进：改进软件更新程序支持基于组件的更新，而不是原有的简单的版本划分。用户可以选择更新那些组件，如果组件有依赖关系，他们必须同时更新或不更新。
9. 界面改进：改进图像视图和列表视图滚动功能，增加相应滚动单元的设置。同时调整默认值更加合理。用户可以通过 选项-〉常规-〉视图设置-〉输入 页面更改设置。
10.界面改进：改进绘图工具在状态栏中显示当前图像位置以及当前位置的R,G,B,A值。 并增加是否显示透明背景格的选项。
11.界面改进：改进绘图工具，裁剪板和红眼消除服务的缩放快捷键，笔记本键盘可使用 -， =（+），\和/键进行缩小，放大，匹配大小和实际大小功能。
12.界面改进：改进首次启动设置向导，增加最终用户授权协议和注册用户通行证输入页面。
13.问题解决：解决绘图工具填充工具在填充有透明度区域使不能正确填充的问题。
14.问题解决：解决在编码一些特定的PNG图像过程中出的内存错误的问题。
15.问题解决：解决在Windows 2000下“我的电脑”下的内容重复出现的问题。
16.问题解决：解决在Picasa服务中用户选择“保存用户名和密码以便下次登录”选项时下次启动仍然不能保存信息并自动登录的问题。

10.9.8.6 (2010/05/01)
1. 功能改进：支持将最近使用过的复制或移动目标地址作为历史保存,并直接可以通过菜单选择。
2. 功能改进：支持使用拇指键1和2进行前进(拇指键1)和后退(拇指键2)操作。
3. 功能改进：改进图像旋转功能可以对旋转角度进行精确到0.01度微调。
4. 功能改进：改进幻灯片播放速度设置功能，直接指定幻灯片切换间隔，和滚动速度分开设置。
5. 功能改进：为移动,复制和全部保存到增加默认文件名冲突行为选项。可以通过选项->常规->操作确认设置中进行设置。
6. 界面改进：改进包含图像预览的对话框，使之可以最大化和可调大小。这些对话框包括图像旋转，图像比例，添加文字，添加图像，编辑对比度，灰度系数，色彩等。
7. 界面改进：改进对话框中的图像预览功能，可以通过双击进行缩放比例切换，同时允许通过拖动移动视区。
8. 界面改进：改进背景颜色设置，使目录视图同样应用所选择的背景颜色，以达到统一的颜色效果。
9. 问题解决：解决通过资源管理器或启动时自动打开功能打开诸如ZIP文件等复合文档时，图像在列表中重复出现的问题。这个问题是在10.9.8.5中更新2中导入的。
10.问题解决：解决列表视图中选择详细样式并且调整视图背景颜色时，文本颜色不能自适应背景颜色的问题。同时解决详细样式的列表头字体在系统显示设置改变时不能正确设置的问题。

10.9.8.5 (2010/04/01)
1. 功能改进：保存，移动，复制，批量转换和批量重命名文件时如果文件名冲突根据用户选项进行处理，选项包括询问，覆盖，跳过和自动。
2. 功能改进：增加在资源管理器中双击或打开使用全屏或简屏打开目录或复合文件（如ZIP)的选项，原来只有对图像文件进行全屏或简屏打开。用户可以通过 选项->常规-〉基本设置 进行设置。
3. 界面改进：改进列表视图，当删除多个图像后当前选中的图像不在视图区域内时自动定位。
4. 界面改进：默认双击图像使用全屏打开,原来默认使用简屏打开。
5. 问题解决：解决全屏信息栏信息有时不能更新的问题。

10.9.8.4 (2010/03/06)
1. 功能改进：增加全屏工具栏，提供在全屏模式下常用的操作按钮，包括缩放，旋转等。用户可以通过 “视图-〉工具栏-〉全屏工具栏”显示或隐藏全屏工具栏。用户可以通过右键菜单进行对工具栏进行定制，也可以拖动右侧空白移动工具栏位置。可以使用Alt快速显示或关闭全屏工具栏。
2. 功能改进：改进绘图程序选择工具，即使鼠标在选区内按下，同样启动一个新的选择操作，原来的移动选区位置的操作使用Ctrl+左键拖动操作。
3. 功能改进：改进绘图程序矩形工具，圆角矩形工具和椭圆工具，支持一种新的填充模式，使用前景色填充区域。
4. 功能改进：改进绘图程序颜色箱，增加一个透明颜色供用户直接选择。在前背景颜色框中增加前景颜色和背景颜色交换按钮。
5. 界面改进：纠正一些繁体中文版本中的错误或翻译不当。增加更新程序繁体支持。感谢“夏日之秋”的更新。
6. 界面改进：在浏览模式工具栏上增加全屏按钮，和简屏模式工具栏拥有全屏按钮一致。
7. 界面改进：统一“回车”或“双击”动作。使用“回车”或“双击”在上一次的图像模式和浏览模式之间切换，使用 Ctrl + “回车”或“双击”在全屏模式和浏览模式之间切换，使用 Shift + “回车”或“双击”在简屏模式和浏览模式之间切换。
8. 界面改进：改进视图设置对话框，使用多属性页重新组织视图选项，便于理解和操作。

10.9.8.3 (2010/02/08)
1. 界面改进：增加繁体中文的支持。感谢“夏日之秋”的翻译和整理。

10.9.8.2 (2010/01/27)
1. 功能改进：增加Shell扩展服务，提供从Shell扩展搜索目录或图像，并从Shell扩展读取数据的功能。这样色彩风暴可以浏览Windows 7中库下面的图像内容。但色彩风暴仍不能直接在图像库下创建目录。
2. 功能改进：改进绘图程序文字工具，字体选择列表可连续变换，字体大小选择输入后立即更新显示。
3. 功能改进：改进排序操作，当从资源管理器双击文件打开色彩风暴时如果选择了自动排序，搜索完成后同样进行排序操作。排序完成后定位排序前的当前图像的位置。
4. 功能改进：增加在图像视图中的重命名功能,将弹出对话框输入新的名称。另外,统合各视图的重命名功能,使用F2作为快捷键。同时通过这种方法解决目录树因使用“单展开”风格导致的点击两下不能重命名的问题。
5. 界面改进：将绘图，裁剪板和红眼消除服务中的“保存退出”更改为“确认”并将原有的磁盘保存图标更改为确认图标。原因是确认行为并不保存数据到磁盘或其他存储介质，只是向主程序返回数据。更改后的名称和图标可以帮助用户更好地理解这些操作。
6. 界面改进：增强屏幕切换方式。可以使用 Ctrl + 回车或Ctrl + 双击 进入全屏模式或在全屏模式和简屏模式间切换。
7. 界面改进：为图像大小，色度饱和度亮度增加工具栏按钮，默认不显示。
8. 界面改进：改进标题显示，用户可以在“工具-〉选项-〉外观-〉常规”页面配置标题栏显示内容，允许显示文件名和缩放比例。

10.9.8.1 (2010/01/16)
1. 功能改进：改进绘图程序支持透明通道，从而支持透明图像的编辑。改进色彩工具栏以提供更灵活更强大的色彩选取和预览，同时支持为色彩指定透明度。同时改进所有的工具以支持透明通道以及带透明度信息前景和背景颜色。通过指定带透明度的前景和背景颜色，用户可以得到更强大的背景融合功能。比如使用渐变工具是指定完全透明的背景，将产生前景颜色到背景图像的过渡。
2. 功能改进：改进添加文字功能支持像透明图像上添加文字。
3. 功能改进：改进文件关联配置允许在不关联菜单的情况下关联图标,同时改进选项操作,当用户没有关联菜单的情况下“默认使用本程序打开”无效。对EXE和DLL文件禁用关联默认打开以免引起误操作。
4. 界面改进：更灵活的图像预览视图背景定制功能，用户可以选择显示，不显示或指定自己的背景图像，用户可以通过工具-〉选项-〉常规-〉皮肤设置 进行设定（注：该功能只对VIP用户有效）。
5. 界面改进：改进绘图，裁剪板以及红眼消除工具，提供打开时自动缩放功能，如果图像较小，系统将自动放大到适当大小以便于操作。
6. 界面改进：裁剪板服务中裁剪视图显示网格线，用户可以通过“视图-〉显示大网格”或“视图-〉显示小网格”菜单显示或隐藏网格。
7. 界面改进：允许将扩展服务提供的编辑或处理功能增加到工具栏，如将裁剪板，绘图工具等在工具栏上显示。对于定制过工具栏的用户这些图标将默认不显示。
8. 界面改进：当指定工具栏图标皮肤文件时,改进动态加载的图标大小和工具栏图标大小一致。如果用户要指定图标文件,建议图标大小为16, 24, 32等标准尺寸以得到最佳效果。
9. 问题解决：解决绘图工具中图像缩放对话框中像素编辑框的一个输入问题。
10.问题解决：解决视图分割条在视图缩小到很小的情况小不能正确绘制的问题。

10.9.8.0 (2009/12/30) (元旦特别版)
1. 功能改进：支持图标关联，提供色彩风暴图像文件系列图标。第一次运行程序用户可以在设置向导中选择对特定的文件类型是否关联图标, 老版本升级是按默认设置关联图标。用户可以在“工具-〉选项-〉文件类型”中改变图标关联设置。
2. 功能改进：增加图像采集服务以支持从 WIA (Windows Image Acquisition) 兼容图像采集设备采集图像，如扫描仪。用户可以通过“打开-〉采集图像”来使用，或直接在地址栏输入 "wia:///" 以启动图像采集操作。
3. 界面改进：启用新的色彩风暴主程序图标,新图标简单流畅的风暴造型和文件图标相呼应。
4. 问题解决：解决异步目录加载代码中潜在的在特定情况下可能导致程序崩溃的问题。
5. 问题解决：解决定制工具栏图标显示不正确的问题。

10.9.7.8 (2009/12/20)
1. 功能改进：全面支持多种设置模式，用户从此可以选择将配置信息保存到注册表还是配置文件中。这些模式包括注册表模式，即将配置信息保存在系统注册表中。本地模式，即将设置保存在本地配置文件中。配置文件为 XML 格式，名称和可执行程序相同并位于同一目录。移动模式，如果色彩风暴程序放在可移动的媒体上，如USB盘上，你可以使用移动模式,该模式下设置保存在本地配置文件中，同时不会创建文件关联，这样程序可以随时移动或删除。由于以前的版本将信息保存在注册表中，从以前的版本升级后将处于注册表模式。用户可以通过“工具-〉选项-〉设置模式”来改变设置模式。
2. 功能改进：在设置向导中增加设置模式选择页面，用户在首次运行程序时可以根据自己的需要选择相应的设置模式。
3. 功能改进：增加导出设置到文件的功能，用户可以通过“工具-〉导出设置”来使用该功能。主程序将在自己所在的目录下寻找和自己同名的 XML 配置文件，因此用户可以按该方法来使用导出的配置文件。
4. 功能改进：壁纸切换器增加是否启用系统级热键选项，你可以在“壁纸切换-〉热键”页面配置该选项。
5. 界面改进：改进创建屏保和创建图像包对话框使用向导来实现，从而更加易于理解和操作。
6. 问题解决：解决批量转换将预览图覆盖zip等抽象目录文件的问题。
7. 问题解决：解决在10.9.7.7中因代码重构带来的批量转换对话框中文件类型下拉框中文件类型显示不当，从而导致文件类型不能正确选择的问题。

10.9.7.7 (2009/12/12)
1. 功能改进：增加首次运行设置向导，以替代原来的简单的设置对话框。设置向导可以帮助用户更好的了解程序并根据自己的需要进行设置，包括根据自己的需要详细设置文件关联。将要支持的配置存储模式也将通过该设置向导由用户进行选择。
2. 功能改进：增加图像编辑时单步撤销和重做功能。用户可以通过“编辑-〉撤销”(Ctrl + Z) 撤销上一次编辑操作，通过“编辑-〉重做”(Ctrl + Y) 重做上一次撤销的操作。在设计上，撤销和重做的操作的数目理论上没有上限，性能和内存消耗也不会因为撤销和重做数目的增加而降低或增加。
3. 功能改进：改进文件关联设置对话框。使用树形结构组织文件类型，这样文件类型可以被归类，用户也可以轻松方便的选择或不选某个类别的文件类型。
4. 功能改进：改进打开对话框中的搜索设置。增加可以在后面的每次打开操作都使用搜索设置的选项，并且改进搜索设置选项更加容易指定，包括为类型搜索提供支持的文件类型列表。
5. 界面改进：在全屏模式上下文菜单中增加“退出”菜单项。用户可以点击该菜单在全屏模式下直接退出程序。
6. 界面改进：对编辑下菜单进行分类，以减少编辑菜单的长度。把一些不是很常用的编辑操作归类到相应的子菜单中。包括将“模糊”，“柔化”，“锐化”和“噪音”菜单归类到“表面”子菜单中，将“浮雕”，“轮廓”，“边界”和“临界值”菜单归类到“轮廓”子菜单中。
7. 界面改进：为目录树，Picasa用户相册树和Flickr用户相册树增加“单展开”样式。该样式可以使用户使用单击展开一个节点，并提供其他一些有用的功能。
8. 代码重构：重构注册表读取和保存代码，以及文件关联部分代码，以为下一个版本支持更多配置存储模式做好准备，包括支持将配置保存在 XML 配置文件中等。
9. 问题解决：解决Windows 7下，程序未以管理员用户运行时，进行卸载操作时，文件关联无法卸载，但有没有显示错误消息的问题。

10.9.7.6 (2009/12/01)
1. 重要优化：实现目录树的异步加载和定位。该功能能够极大改善程序启动时的响应速度和用户体验。 同时也极大改善当用户通过资源管理器或其他外部程序使用色彩风暴打开图像后切换回浏览模式时程序的响应速度和体验。
2. 功能改进：改进 Picasa 服务支持复制选择照片的外部链接的功能。用户可以选择一个或多个照片，右击显示上下文菜单并选择“复制图像链接”，图像链接的图像大小是 Picasa 服务设置中选择的浏览图像大小。
3. 功能改进：改进 Flickr 服务支持复制选择照片的外部链接的功能。用户可以选择一个或多个照片，右击显示上下文菜单并选择“复制图像链接”，并在图像大小对话框中选择图像链接的图像大小。
4. 功能改进：改进软件更新功能，增加软件包备份下载链接，当主下载链接下载失败时尝试使用备份链接更新软件。
5. 界面改进：改进列表视图，允许将同视图的图像直接拖拽到目录中，完成复制或移动功能。该功能在将目录中的图像组织到其相应的子目录中时非常有用。
6. 问题解决：解决当图像列表中的第一个图像是 GIF 图像，并且当前视图模式是滚动模式时发生的性能问题，程序的一处错误导致过多不必要的刷新。
7. 问题解决：解决在 Windows 7 上，当改变界面语言后，程序的每次启动总是提示使用管理员模式运行的问题。
8. 问题解决：解决当对图像视图进行停靠并伴随调整窗口大小的动作时分割条有时不能正确分割视图的问题。

10.9.7.5 (2009/11/12)
1. 功能改进：升级JPEG编解码库到版本7(27-Jun-2009版本).
2. 功能改进：改进TIFF解码服务，考虑TIFF图像的DPI参数，根据DPI对图像大小进行自动调整，从而解决浏览有些TIFF图像变形的问题。另外，单色TIFF图象自动转换为24位图像，从而改进图像放大或缩小时画面质量。
3. 功能改进：增加全屏信息窗口。该窗口是一个半透明的浮动窗口，可以显示当前图像在非全屏模式下状态栏中显示的信息。你可以通过视图-〉工具栏-〉信息栏 控制是否显示该信息窗口。
4. 功能改进：改进图像合并算法，以支持向24位透明背景图像合并图像，同时优化24位图像合并算法的效率。
5. 界面改进：改进“向后”，“向前”,“上一级”以及“打开”操作，当Shift键按下时，这些操作将使用新色彩风暴窗口打开相应地址。
6. 界面改进：改进“放大”，“缩小”等缩放按钮的操作，当Shift键按下时，这些操作将完成“全部放大”，“全部缩小”等相应的对全部图像的动作。
7. 界面改进：缩略视图上下文菜单中增加“上一级”菜单项，已完成打开当前选择图像的父目录的功能。该功能在列表中包含多个目录或相册的图像时有用。
8. 界面改进：改进滚动模式在浏览小图像时的体验，限制图像的最小跨度，如果小图像在滚动方向的大小小于200像素，将使用200像素作为其所占跨度，从而避免很多小图像挤在一起的情况。如果必要，最小跨度将来可以配置。
9. 界面改进：使用F2作为重命名的快捷键，从而和Windows资源管理保持一致。
10.问题解决：解决目录或驱动器被设置使用色彩风暴默认打开，然后设置不使用色彩风暴默认打开，在资源管理器中双击目录，打开查找窗口的问题。

10.9.7.4 (2009/10/19)
1. 问题解决：紧急修复在10.9.7.3中导入的abr文件和tiff文件无法正确解码的问题。

10.9.7.3 (2009/10/18)
1. 功能改进：压缩包服务支持Unicode ZIP文件名，从而允许打开非系统字符编码的ZIP文件。
2. 功能改进：压缩包服务支持ZIP文件格式Unicode文件名扩展。从而允许解压ZIP文件中文件名以非系统字符编码的文件，前提是创建ZIP文件的程序支持ZIP文件格式Unicode文件名扩展。如果创建ZIP文件的程序不支持ZIP文件格式Unicode文件名扩展，如Winzip 11.2以前的版本或WinRAR 3.8以前的版本，ZIP文件中文件名以非系统字符编码的文件仍然可能不能正确解压，这是ZIP文件格式带来的兼容性问题。
3. 功能改进：升级RAW原始图像扩展服务，新增一些数码相机型号的原始图像支持，包括Canon EOS 500D, Canon PowerShot G11, Kodak EasyShare Z980, Kodak EasyShare Z1015, Nikon D200, Nikon D300, Nikon D3000, Nikon D5000, Olympus E-620, Olympus E-P1, Pentax K-7, Pentax K-m等.
4. 功能改进：允许在编辑图像的基本属性是编辑图像的位深度（1位, 4位，8位或24位）。
5. 功能改进：增加生成目录预览图像时是否生成目录内容的详细信息的选项。该选项可以节省生成目录预览图的时间。用户可以通过 工具 -> 选项 -> 服务 -> 基本图像服务 -> 设置 来设定改选项。
6. 界面改进：增加“前端显示”的功能，允许用户配置程序使其总是在最前端显示。用户可以通过 视图-〉前端显示 来配置。
7. 性能优化：优化系统在制作缩略图时取消该过程的系统响应度.
8. 问题解决：解决加载一些特定类型的数码相机RAW格式图像时程序崩溃的问题。
9. 问题解决：解决缩略视图时如果滚动条有滚动选择改变时选择框不能完全正确刷新的问题。

10.9.7.2 (2009/10/8)
1. 功能改进：实现自己的高性能最近点和双线性图像缩放渲染算法。从而结束了完全依赖系统的StretchDIBits进行缩放渲染的历史。用户可以通过“选项-〉常规->视图设置”选择使用不同的渲染算法。最近点采样算法最快，但效果稍差；双线性采样算法稍慢，但效果较好，中间点采样算法使用系统调用完成，根据显卡的不同，速度可能较快，但可能带来局限性。
2. 功能改进：优化图像缩小算法，由于该算法在制作缩略图是经常使用，从而可以提高系统的总体效率。
3. 功能改进：增加新的系统扩展接口，从而支持文件系统的“新建文件夹”, Picasa服务的“创建Picasa相册”，Flickr服务的“创建Flickr相册”等上下文相关菜单，以方便用户进行创建目录或相册操作。该扩展接口还可以增加除此之外的任何上下文相关功能。
4. 功能改进：允许在创建图像包或者屏保程序时指定自己的图标文件作为程序的图标。建议图标文件中至少包含 16 * 16, 32 * 32 以及 48 * 48三种大小的图标。
4. 功能改进：加载图像时，使用共享读写，共享删除的方式打开图像文件以避免在做文件操作时出现共享冲突的情况。
5. 界面改进：增加视图菜单下“全部选择”菜单项。
6. 问题解决：解决默认缩略图大小为最大240 * 240的问题，更改默认大小到96 * 96。
7. 问题解决：解决当自动排序功能开启时，从资源管理器打开单个图像文件不能正确定位的问题。解决方法是在这种情况下不执行自动排序动作。
8. 问题解决：解决系统加载的缩略图要比用户选择的缩略图大小要小的问题。当选择了其他列表样式在切回到缩略图样式时，可能导致该问题。
9. 问题解决：解决尽管用户通过选择列表样式显示了列表视图，重启色彩风暴后列表视图为显示的问题。
10.问题解决：解决在壁纸列表编辑对话框中增加壁纸目录，子目录的预览图像被设置为壁纸的问题。

10.9.7.1 (2009/9/28)
1. 功能改进：增加自动排序功能。该功能启用时，图像搜索完成后会自动执行按上一次的排序方式排序操作。建议只有在需要的时候启用该功能，不需要的时候关闭。工具栏增加“排序”按钮以方便用户进行排序操作以及启用或关闭自动排序功能。
2. 功能改进：缩略图大小可调整， 最大为 240 * 240 像素。增加相关的缩略图大小选择菜单，同时用户可以在缩略视图获取焦点时使用Ctrl+鼠标滚轮操作调整大小。增加“自动重构”选项菜单，改选项开启时，缩略图调大后会自动进行缩略图重构。
3. 界面改进：允许配置全屏背景颜色。同时增加“背景颜色”工具栏按钮，按钮按下时提供下拉颜色选择窗口方便用户随意选择颜色。通常，选择的颜色将改变视图背景颜色。如果Ctrl键按下时选择颜色，将改变全屏背景颜色。
4. 界面改进：改进缩略图刷新时的绘图机制。更好的用户体验和刷新性能。
5. 界面改进：当用户在程序中配置视图背景颜色时，色彩风暴通过亮度调整机制自动选择相匹配的文本颜色。
6. 问题解决：解决当程序一直运行并且由软件更新存在时，软件更新窗口会多次显示的问题。

10.9.7.0 (2009/9/16)
1. 功能改进：全面支持Windows7。改进支持用户权限控制(UAC)机制。通常情况下，色彩风暴将以普通用户权限运行，但第一运行或软件升级之后将会自动以管理员身份运行以对支持的文件类型进行关联。
2. 功能改进：使用图像资源服务和数据服务实现图标文件文件的查看，用户可以双击图标文件以显示文件内所有图标列表。
3. 功能改进：改进软件更新功能，运行图像包中色彩风暴可执行程序中的更新程序以确保使用最新的更新功能。
4. 界面改进：在Windows7下，使用当前主题样式显示菜单。同时更好的支持系统色彩配置。
5. 问题解决：解决如果列表中的图像被特定的外部程序如Photoshop编辑保存后，图像文件从色彩风暴列表中消失的问题。
6. 问题解决：解决某些含有PNG数据格式的图标无法正确解码的问题。同时解决特定的图标文件透明色彩的编码问题。
7. 问题解决：解决将由外部服务提供的图像添加壁纸列表程序在退出时崩溃的问题。同时解决当壁纸设置失败的情况下壁纸控制失效的问题。
8. 问题解决：解决将含有子目录的目录添加到壁纸列表同时用户选择不包含子目录中的图像时，子目录的预览图像被设置为壁纸的问题。
9. 问题解决：解决在Windows7下打开特殊的目录节点时程序崩溃的问题。 同时解决访问可移动媒体如光盘被移走时程序不断弹出错误对话框的问题。

10.9.6.21 (2009/9/5)
1. 功能改进：全面升级Photoshop文件格式(*.PSD)的解码程序，从而提供PSD文件格式的全面支持。包括支持所有色彩模式,如RGB, CMYK, Lab等；16位图像通道的支持；ZIP压缩数据的支持，以及更快的解码速度和代码重构。这一更新应该解决CS3，CS4或更高版本输出的一些文件无法加载显示的问题。
2. 功能改进：改进TIFF解码支持16位图像通道以及LAB色彩模式的支持。
3. 功能改进：批量转换增加输出图像质量的选项，更方便用户选择适合的输出JPEG图像的质量。
4. 界面改进：当用户通过“前进”,“后退”，“上一级”按钮打开前面打开的目录时，能够定位到离开时的选中的项目。
5. 界面改进：当用户相壁纸列表中增加目录时，显示对话框由用户选择是否包括子目录的图像。
6. 问题解决：解决视图模式从水平滚动切换回幻灯片模式时，滚动条方向没有恢复到垂直方向。
7. 问题解决：解决压缩包服务中RAR文件卷缺失的情况导致程序挂起的问题。
8. 问题解决：解决当Windows系统设置以目录的形式显示zip文件时，无法搜索出目录中的zip文件的问题。

10.9.6.20 (2009/8/22)
1. 功能改进：支持显示和编码Photoshop和Paintshop Pro笔刷文件(*.abr, *.jbr)。对于含有多个笔刷的笔刷文件，用户可以在列表视图中双击打开笔刷文件，以显示所有笔刷。你甚至可以将任何其他文件编码成为笔刷文件，色彩风暴创造性地采用了灰度转换技术将图像转换为笔刷。
2. 功能改进：支持和定义出色彩风暴原始图像数据格式(*.rmg)。这是色彩风暴内部传递图像数据所使用的格式。这种格式可以最大程度保持颜色和透明度信息。用户可以使用这种格式来保存中间或临时图像而不用担心丢失颜色和透明度信息。
3. 功能改进：改进压缩包服务共享密码功能，支持连续打开多个相同密码的不同文件不需多次输入密码。用户可以通过压缩包服务设置开启或关闭该功能，默认开启。
4. 功能改进：改进TIFF服务浏览多页文件时产生的图像命名方法：序号从1开始，文件名中同时也包括原TIFF文件的名称。
5. 功能改进：改进剪贴板服务和窗口获取服务支持输出JPEG或BMP两种文件格式。用户可以通过相应的服务设置进行选择，默认JPEG。同时你也可以通过打开地址指定输出文件名前缀。如使用"clipboard://abc/"，输出的文件名称将形如“abc1.jpg”,"abc2.jpg"...。
6. 界面改进：将一些不常用的工具栏按钮默认设置为不显示。这些按钮是：属性，上一张，下一张，开始播放，停止播放，剪切，复制，粘贴，选项。如果用户定制过工具栏按钮，将不会改变，但可以通过“重置”按钮设置到这个默认状态。
7. 界面改进：启动时在目录树中不再展开“我的电脑”。通过Windows API展开“我的电脑”信息比较耗时从而使得程序的启动速度大受影响。
8. 界面改进：从资源管理器打开图像进入简屏或全屏模式时，可以使用ESC键直接关闭程序。
9. 问题解决：解决在滚动模式下，最小化窗口然后恢复导致滚动视图没有正确设置和显示的问题。

10.9.6.19 (2009/8/11)
1. 界面改进：将原来的“普通窗口”模式改名为“简屏”窗口模式，和“全屏”窗口模式对应。
2. 界面改进：简屏模式工具栏增加“返回”按钮，功能是返回到浏览窗口模式。
3. 界面改进：规范化关闭操作，窗口右上角关闭按钮总是执行关闭操作。原来在简屏模式下关闭按钮是返回浏览窗口模式而不是关闭，导致关闭操作难以理解。
4. 界面改进：改进列表视图使用图像视图相同的背景颜色设置。
5. 功能改进：改进Flickr服务支持浏览和管理组照片，同时可以添加组到用户列表。
6. 功能改进：Picasa和Flickr服务增加用户或组的基本属性查看对话框。同时用户，组以及相册节点上下文菜单增加“浏览...”菜单，以在因特网浏览器中打开浏览相应的地址。
7. 问题解决：解决当图像名不是合法的文件系统文件名时，无法保存或粘贴图像到本地目录的问题。像Picasa或Flickr这样的相册系统中，图像名称不一定是合法的Windows文件系统名称。
8. 问题解决：解决Flickr服务登录状态在程序重起后丢失的问题。该问题是在10.9.6.18中导入。
9. 问题解决：解决软件更新检测程序中的一个问题，导致软件更新检测在程序启动时运行一次后不再检测，以及可能从系统缓存中读取更新信息。
10.问题解决：解决图像包错误更该最后打开地址的问题。

10.9.6.18 (2009/8/1)
1. 界面改进：实现匹配宽度垂直滚动和匹配高度水平滚动，这是一个革命性和开创性功能，也是我一直以来梦寐以求的图像滚动方式。用户可以通过视图-〉图像模式-〉垂直滚动(F7)或水平滚动(F8)菜单分别切换到这两个模式。（说明：色彩风暴原有的滚动模式的缺陷是他并不能够提供图像的最佳视图，为了简化实现（即图像在没有加载时就知道图像在视图中的大小），所有的图像的宽高同时匹配到当前窗口大小，并占有一个窗口区域，导致视图中图像更小并且有空白区域。而匹配宽度垂直滚动和匹配高度水平滚动提供了滚动模式中最佳的匹配方式和连贯的视野，实现这两种滚动最大的挑战在于图像在视图中的高度（垂直滚动）或宽度（水平滚动）在图像没有加载之前是未知的，而整个图像列表的搜索和加载是动态的。动态加载的机制给实现这两种模式带来挑战，但同时只有他的存在才使这两种滚动模式成为可能。）
2. 功能改进：改进Picasa服务支持追加以非gmail邮件地址作为用户登陆的Picasa用户。同时支持在登录的时候使用非gmail邮件地址。
3. 功能改进：重构在服务中读写设置的代码，尽管增加匹配宽度垂直滚动和匹配高度水平滚动功能，但程序却更小了。
4. 问题解决：解决在列表视图中使用缩略图以外的样式时，背景颜色没有使用系统设置的窗口背景颜色的问题。
5. 界面改进：调整快捷键设置：F6 = 幻灯片模式, F7 = 垂直滚动模式, F8 = 水平滚动模式, F9 = 匹配宽度, F10 = 匹配高度, F11 = 开始或停止播放。

10.9.6.17 (2009/7/15)
1. 改进Flickr相册服务。支持多种用户增加方式，用户可以选择通过邮件地址，用户名，NSID，用户定义的相册Url或别名追加用户。同时改进Flickr服务支持从用户定义Url浏览相册，这一改进非常重要是因为很多用户通过发送用户定义Url来分享自己的照片。
2. 改进自动打开上一次打开的地址的机制，采用延迟打开的机制，这样避免用户通过Windows资源管理器使用色彩风暴打开一个地址时打开上一次打开的地址，提供更好的用户体验。
3. 改进压缩包服务中zip文件的最大文件大小限制，从2G扩展到4G。
4. 解决当用户从资源管理器中打开一个图像文件，但同时该图像文件的目录中有很多图像文件的情况下，图像加载和显示过慢的问题。原因是一个不必要的GUI更新使用了过多的系统资源。
5. 解决工具栏定制皮肤图像尺寸的问题，因为在10.9.6.15中增加了13个按钮。
6. 解决当一个目录中GIF文件和其他文件类型混存，并且启用了过渡效果的情况下GIF文件播放不正确的问题。
7. 解决对GIF文件进行缩放时缩放比例显示不正确的问题。

10.9.6.16 (2009/7/3)
1. 全面改进批量重命名功能，引入更强大更灵活模板指定功能，同时支持引用原文件名中的部分内容。
2. 更新RAW图像格式解码器到0.1.8.89版本，支持更多相机和最的RAW格式。同时加载RAW图像格式文件时加载存在的EXIF信息。
3. 更新TIFF图像格式解码器到3.8.2版本，同时更改解码器兼容“图像数据不足”的解码错误。
4. 解决壁纸切换器开启时重启系统后窗口位置信息丢失的错误。
5. 解决从资源管理器中直接打开GIF文件没有播放的问题。
6. 解决打开对话框中“浏览...”按钮无法显示下拉菜单的问题。
7. 改进软件更新提示对话框中显示新版本的更新内容；同时为不同语言版本提供相应的软件更新提示和消息。
8. 其它改进：帮助窗口中文本自动换行；工具栏打开按钮变更为下拉。打开多个路径时同样可以使用"上一级"按钮。

10.9.6.15 (2009/6/17)
1. 全面改进色彩风暴更新功能。再也不需要手动下载，解压，关闭程序和替换文件了！提示用户更新并在用户确认后自动完成软件更新所有过程。
2. 为下列功能增加工具条按钮：保存到，复制到，移动到，编辑，打开方式，删除，剪切，复制，粘贴，批量转换，批量重命名，壁纸切换器，选项。注意：如果你在老的版本中定制过工具栏按钮，新版本中这些按钮默认不显示，你可以手动添加，干净的环境中这些按钮将默认显示。
3. 解决列表视图中滚动条的滚动单元过大的问题，更加合理和方便的滚动大小。
4. 解决修改或复制图像文件时文件创建时间不正确的问题。
5. 解决在同一色彩风暴实例中复制非本地文件是失败的错误。
6. 解决Flickr的浏览图像大小设置在程序重启后丢失的问题。
7. 解决加载一些特定的GIF文件程序崩溃的问题。

10.9.6.14 (2009/6/09)
1. 新增RAW图像格式（*.nef;*.crw;*.cr2;*.mrw;*.raf;*.erf;*.3fr;*.dcr;*.raw;*.dng;*.pef;*.x3f;*.arw;*.sr2;*.mef;*.orf）支持，通过RAW图像服务(Raw.dll)提供。
2. Picasa和Flickr根节点上下文菜单中增加“选项...”菜单，方便用户操作。
3. Picasa服务增加“图像浏览大小”选项。用户可以根据自己的网络连接速度选择合适的浏览大小，包括浏览原始图像。
4. 增加程序启动时打开上一次打开的地址功能，并增加相应选项用于控制该功能的开启和关闭。
5. 改变BACKSPACE键的用途，将BACKSPACE键用于返回上一级目录功能。使用Ctrl+R来替代BACKSPACE用于原来的关闭图像功能。
6. 当用户需要打开网页时，打开新的IE窗口，而不是原来使用已经存在的IE窗口以避免冲掉用户已经打开的网页。
7. 解决当用户选择在文件列表中不显示子目录时，某些情况下子目录仍然显示的问题。
8. 增加是否“显示隐藏文件或目录”的选项。
9. 解决在新建文件夹时，子目录中的目录显示在父目录的问题。
10. 将“批量转换”，“批量重命名”和“批量打印”菜单从“工具”菜单移到“文件”菜单，更加合理和理解。
11. 在工具-〉选项-〉服务页面中增加服务“设置...”按钮，方便用户对特定服务进行设置操作。
12. 调整用户通过“文件-〉新建-〉文件...”菜单新建图像时指定图像属性和指定文件名两个对话框的显示顺序，先指定属性，后指定文件名。
13. 改进当用于排序的属性都不存在时，使用文件排序，而不是原来使用内存地址排序。

10.9.6.12 (2009/5/30)
1. 强力推出Yahoo Flickr相册服务。至此色彩风暴全面支持当前流行的两大网络相册提供商Goolge和Yahoo，向真正的图像分享专家迈出坚实一步。
2. 修正了10.9.6.11中导入的壁纸切换器无法正常工作的问题。
3. 改进图像文件名排序算法，采用和Windows XP一致的逻辑排序方法（主要是考虑文件名中的数字）。
4. 修正了GIF解码器中由于全局颜色表和局部颜色表处理错误所导致的某些GIF图像不能正常解码的错误。
5. 延长背景颜色变换的时间，避免影响用户体验。

10.9.6.11 (2009/5/15)
1. 实现在程序主窗口中直接播放GIF动画。
2. TIFF扩展实现浏览多页TIFF文件,双击列表视图中双击TIFF文件，搜索多页TIFF文件中的所有图像。
3. 压缩包扩展支持按目录层次浏览压缩包（默认搜索所有子目录中的图像），用户可以在选项-〉服务->压缩包扩展-〉设置中不选择“打开压缩包时搜索所有子目录下的图像”选项来层次浏览。增加“打开目录时将压缩包文件作为目录显示”选项。
4. 资源文件服务不再产生临时文件，每次直接从资源文件中读取数据。支持预览资源文件，可以通过“打开目录时将资源文件(exe和dll)作为目录显示”选项来控制。
5. 增加“图像大小”编辑功能，帮助用户快速方便的调整图像大小，并通过智能裁剪保证图像不被扭曲。
6. 不同的虚拟目录采用不同的背景颜色，如资源文件采用粉红色，压缩包文件采用蓝色。
7. 改善缩略图加载算法，更好的缩略图加载响应;更快的服务搜索算法，。
8. 删除“高级属性”菜单。
9. 解决Picasa相册扩展搜索出重复图像的问题。
10. 解决预览图像编辑后保存覆盖原文件的问题，比如zip文件被预览图像覆盖。
11. 解决大图标文件解码错误的问题。

10.9.6.10 (2009/2/24)
1. 紧急解决10.9.6.8导入的因为处理EXIF导致的程序崩溃问题,表现为打开含有不规范EXIF拍照日期照片的目录时程序崩溃。其他计划在10.9.6.10中实现的功能将移到10.9.6.11中实现。
2. 由于多媒体扩展存在较多的局限性（如播放视频的类型），色彩风暴完全版中将不再包含多媒体扩展，需要的用户可以发邮件给我。

10.9.6.9 (2009/2/11)
1. 增加可配置工具栏皮肤的功能。皮肤文件标准，文件类型：24位或32位位图文件；按钮大小：n * n 并且 n >= 16 并且 n <= 48；图像大小：宽 = n * 22 高 = n ；透明背景：黑色。皮肤文件必须放在主程序同一目录下，通过工具->选项->常规->皮肤设置对话框配置。
2. 增加拷贝地址功能，可以选择多个文件拷贝地址。
3. 完善图像属性中显示的Picasa图像地址不是外部可用地址（网络浏览器中可用）的问题。
4. 增强Paint扩展中粘贴Unicode字符串的能力。
5. 完善回车键的用法，和双击鼠标一致。
6. 文件关联对话框中文件类型列表中增加勾选框以方便用户选择。
7. 工具->选项->常规->视图 中增加鼠标中键是否用于切换全屏的配置。
8. 解决EXIF中拍照日期显示不正确的问题（不需要增加了时区偏移）。
9. 增加缩放模式快捷键F4,使用F4在匹配图像，实际大小，匹配宽度和匹配高度四种模式下切换。

10.9.6.8 (2009/2/1)
1. 全面增强EXIF信息的加载方式，以前只有在图像加载的情况下才能显示EXIF，现在通过缩略图的加载过程同时加载EXIF，即使图像没有加载，也能显示EXIF信息。
2. 基于增强的EXIF信息加载，增强列表视图显示信息的能力，详细信息模式下可显示几乎所有EXIF信息，可以增加或隐藏属性列。缩略图模式下点击EXIF箭头按钮快速显示EXIF信息。
3. 增强排序功能，所有的可显示属性列参与排序。
4. 增加Picasa扩展从XML文件中得到EXIF信息的能力。
5. 增强添加文字处理过程，进行反锯齿处理，更好的文字效果。
6. 解决在全屏模式下视图位置没有重置的问题。
7. 解决再壁纸切换启动的情况下，程序临时阻塞时点击关闭按钮导致程序无法关闭的错误。

10.9.6.7 (2009/1/29)
1. 解决回车键进入全屏但不能使用回车键返回的问题。
2. 解决Picasa扩展中由XML解析器产生的内存泄漏。
3. 增加“切换图像时重置视图位置”选项
4. 解决拷贝文本到绘图工具扩展显示出乱码的问题。
5. 增加高级属性菜单，直接打开高级属性页。
6. 重命名菜单允许多选，进入批量重命名对话框。
7. 当选择大于一个文件时，批量处理等功能默认“选择部分”。

10.9.6.6 (2009/1/20)
1. 增强EXIF的处理能力，JPEG图像经过处理后保持EXIF信息。
2. 解决原始照片文件如果大于1600，上传到Picasa，Picasa服务器会生成一个1600的拷贝从而丢失EXIF信息的问题。
3. 增强剪切板功能，通过Ctrl键产生矩形选框。

10.9.6.5 (2009/1/14)
1. 色彩之狼(Color Wolf)正式更名为色彩风暴(Color Storm)。
2. 支持通过色彩风暴网站检查软件更新

色彩风暴网站：http://www.colorstormgarden.com